-- author: DD ModPassion
-- copyright (C): DD ModPassion, All Rights Reserved
-- version: Farming Simulator 25
RemoveDuplicateModStoreItem = {}
local modName = g_currentModName
local modNameBaleTwine = "FS25_baleTwine_addon"
function RemoveDuplicateModStoreItem.removeDuplicateItem(modNameBaleTwine)
    for item = 1, #g_storeManager.items
    do
        if string.match(g_storeManager.items[item].xmlFilename, modNameBaleTwine)
        and not string.match(g_storeManager.items[item].xmlFilename, "multiPurchase")
        and not string.match(g_storeManager.items[item].xmlFilename, "buyableBales")
        then
            g_storeManager.items[item].showInStore = false
            Logging.devInfo("%s: hidden the mod in the store for xmlFilename => '%s' with full path rawXMLFilename => '%s'", modName, g_storeManager.items[item].xmlFilename, g_storeManager.items[item].rawXMLFilename)
        end
    end
end
function RemoveDuplicateModStoreItem.loadMap()
    if g_modIsLoaded[modNameBaleTwine]
    then
        RemoveDuplicateModStoreItem.removeDuplicateItem(modNameBaleTwine)
    end    
end
function RemoveDuplicateModStoreItem.init()
    FSBaseMission.loadMap = Utils.prependedFunction(FSBaseMission.loadMap, RemoveDuplicateModStoreItem.loadMap)
end
RemoveDuplicateModStoreItem.init()